Get file
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/files/{fileId}/{fileName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/files/{fileId}/{fileName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/files/{fileId}/{fileName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Files
Get file
Download a file by file id.
Required scope: read:files
read:files is not currently among the scopes a creditor API key can be issued with, so this endpoint cannot be called with a creditor key. Files you upload are referenced by id on case vouchers and do not need to be read back.GET
/
v1
/
{tenantId}
/
files
/
{fileId}
/
{fileName}
Get file
Authorizations
Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.
Path Parameters
Id of your debt collection partner's tenant. You can find it on the API page in the creditor portal.
Id of the file
Name of the file. Only used for the file name of the download, so it can be any string.